Subject: Re: [RFC PATCH] Initialize dev_id sysfs attribute to -1 by default

From: Bjørn Mork <[email-masked]>
Date: Thu, 30 May 2013 15:38:46 +0200

<[email-masked]> writes:

> From: Narendra K <[email-masked]>
>
> 'dev_id' sysfs attribute is initialized to zero by default.
> It is also zero based. This creates ambiguity in differentiating
> whether the driver set it to zero or it is the default value.
> Initialize 'dev_id' to -1 to make the scenario unambiguous.

I understand your concern, but I don't think you can do this.  It
changes the userspace API, and has some very visible side effects.

Please take a look at net/ipv6/addrconf.c

Bjørn